/* $Id: CreateLoginView.groovy 28307 2008-04-07 15:31:50Z caulfield14 $ */

import org.codehaus.groovy.grails.commons.GrailsClassUtils as GCU


grailsHome = Ant.project.properties."environment.GRAILS_HOME"

includeTargets << new File ( "${grailsHome}/scripts/Init.groovy" )  

target('default': "create customizable view for Login controller included in grails-crowd plugin") {
    createLoginView()
}

target(createLoginView: "") {
    Ant.mkdir(dir: "${basedir}/grails-app/views/login")
    Ant.copy(
      file: "${crowdPluginDir}/grails-app/views/login/login.gsp",
      tofile: "${basedir}/grails-app/views/login/login.gsp", overwrite:true)    
}

target(usage:"usage"){
    println "usage: grails create-login-view"
    System.exit(1)
}
